BEEM - Android XMPP - Bug #227
Gestion contact Hors lighe

12/13/2009 03:45 PM -

Jean-Baptiste Vergely

Status: Closed Start date: 12/13/2009
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: User Interface Estimated time: 0.00 hour

Target version:

Affected version:

0.1

Locale:

Description

Quand je vais dans menu ==> parametres => Liste d'ami(e)s => cocher la case pour afficher les amis déconnectés . Je retourne
dans ma liste de contact et je commence a scroller, I'application plante. Les logs sont les suivants:

12-13 15:38:25.436: WARNY/dalvikvm(816): threadid=3: thread exiting with uncaught exception (group=0x4001aa28)
12-13 15:38:25.436: ERROR/AndroidRuntime(816): Uncaught handler: thread main exiting due to uncaught exception
12-13 15:38:25.446: ERROR/AndroidRuntime(816): java.lang.NullPointerException

12-13 15:38:25.446: ERROR/AndroidRuntime(816):  at

com.beem.project.oeem.ui.ContactList$BeemContactList.getView(ContactList.java:635)
at android.widget.AbsListView.obtainView(AbsListView.java:1255)

at android.widget.ListView.makeAndAddView(ListView.java:1658)

at android.widget.ListView.fillDown(ListView.java:637)

at android.widget.ListView.fillGap(ListView.java:608)

at android.widget.AbsListView.trackMotionScroll(AbsListView.java:2489)
at android.widget.AbsListView.onTouchEvent(AbsListView.java:1977)
at android.widget.ListView.onTouchEvent(ListView.java:3195)

at android.view.View.dispatchTouchEvent(View.java:3672)

at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:850)
at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:882)
at

com.android.internal.policy.impl.PhoneWindow$DecorView.superDispatchTouchEvent(PhoneWindow.java:1712)

12-13 15:38:25.446: ERROR/AndroidRuntime(816):

at

com.android.internal.policy.impl.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1202)
at android.app.Activity.dispatchTouchEvent(Activity.java:1987)
at

com.android.internal.policy.impl.PhoneWindow$DecorView.dispatchTouchEvent(PhoneWindow.java:1696)
at android.view.ViewRoot.handleMessage(ViewRoot.java:1658)
at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loop(Looper.java:123)

at android.app.ActivityThread.main(ActivityThread.java:4203)
at java.lang.reflect.Method.invokeNative(Native Method)

at java.lang.reflect.Method.invoke(Method.java:521)

at

com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:791)

12-13 15:38:25.446: ERROR/AndroidRuntime(816):
12-13 15:38:25.446: ERROR/AndroidRuntime(816):

at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:549)
at dalvik.system.NativeStart.main(Native Method)

Autre Probléme, si je souhaite réafficher mes contacts hors lignes je n'ai pas de refresh automatique.

History

#1 - 12/23/2009 02:12 AM - Nikita Kozlov

- Category set to User Interface

- Status changed from New to Feedback

- Assignee set to Nikita Kozlov

- Target version set to 0.1

04/30/2025
- % Done changed from 0 to 100

Cannot reproduce with the last sources ?

#2 - 12/23/2009 03:16 AM - Frédéric Barthéléry

Nikita Kozlov wrote:

Cannot reproduce with the last sources ?

For me too. Sorry | have fix this without even notice.

(PS: Ahem 3h du mat I'anglais c'est moyeb)

#3 - 01/08/2010 11:23 AM - Frédéric Barthéléry
- Status changed from Feedback to Closed

Solved
